Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class TaskContext

    java.lang.Object
      org.jbpm.services.task.commands.TaskContext

All Implemented Interfaces:
  TaskContext, org.kie.internal.command.Context

    public class TaskContext

extends Object
implements org.kie.internal.task.api.TaskContext

Constructor Summary
`TaskContext()`
`TaskContext(org.kie.internal.command.Context context, Environment environment, TaskEventSupport taskEventSupport)`

Method Summary
`Object` | `get(String string)`
`org.kie.internal.command.World` | `getContextManager()`
`String` | `getName()`
`org.kie.internal.task.api.TaskPersistenceContext` | `getPersistenceContext()`
`org.kie.internal.task.api.TaskAdminService` | `getTaskAdminService()`
`org.kie.internal.task.api.TaskAttachmentService` | `getTaskAttachmentService()`
`org.kie.internal.task.api.TaskCommentService` | `getTaskCommentService()`
`org.kie.internal.task.api.TaskContentService` | `getTaskContentService()`
`org.kie.internal.task.api.TaskDeadlinesService` | `getTaskDeadlinesService()`
`org.kie.internal.task.api.TaskDefService` | `getTaskDefService()`
`org.kie.internal.task.api.TaskIdentityService` | `getTaskIdentityService()`
`org.kie.internal.task.api.TaskInstanceService` | `getTaskInstanceService()`
`org.kie.internal.task.api.TaskQueryService` | `getTaskQueryService()`
`TaskRuleService` | `getTaskRuleService()`
`UserGroupCallback` | `getUserGroupCallback()`
`void` | `remove(String string)`
`void` | `set(String string, Object o)`
`void` | `setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskContext

    public TaskContext()

### TaskContext

    public TaskContext(org.kie.internal.command.Context context,
                       Environment environment,
                       TaskEventSupport taskEventSupport)

Method Detail

### getTaskInstanceService

    public org.kie.internal.task.api.TaskInstanceService getTaskInstanceService()

### getTaskDefService

    public org.kie.internal.task.api.TaskDefService getTaskDefService()

### getTaskQueryService

    public org.kie.internal.task.api.TaskQueryService getTaskQueryService()

### getTaskContentService

    public org.kie.internal.task.api.TaskContentService getTaskContentService()

### getTaskCommentService

    public org.kie.internal.task.api.TaskCommentService getTaskCommentService()

### getTaskAttachmentService

    public org.kie.internal.task.api.TaskAttachmentService getTaskAttachmentService()

### getTaskIdentityService

    public org.kie.internal.task.api.TaskIdentityService getTaskIdentityService()

### getTaskAdminService

    public org.kie.internal.task.api.TaskAdminService getTaskAdminService()

### getTaskDeadlinesService

    public org.kie.internal.task.api.TaskDeadlinesService getTaskDeadlinesService()

### getTaskRuleService

    public TaskRuleService getTaskRuleService()

### getPersistenceContext

    public org.kie.internal.task.api.TaskPersistenceContext getPersistenceContext()

### setPersistenceContext

    public void setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

### get

    public Object get(String string)

  Specified by:
    `get` in interface `org.kie.internal.command.Context`

### set

    public void set(String string,
                    Object o)

  Specified by:
    `set` in interface `org.kie.internal.command.Context`

### getUserGroupCallback

    public UserGroupCallback getUserGroupCallback()

  Specified by:
    `getUserGroupCallback` in interface `TaskContext`

### getContextManager

    public org.kie.internal.command.World getContextManager()

  Specified by:
    `getContextManager` in interface `org.kie.internal.command.Context`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.kie.internal.command.Context`

### remove

    public void remove(String string)

  Specified by:
    `remove` in interface `org.kie.internal.command.Context`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.